module Helply
  class Collection < ApplicationRecord
    has_many :articles

    scope :index_list, -> { select(:id, :title, :description) }
    scope :with_articles, ->(id) { where(id: id).includes(:articles).last }

    validates :title, :description, presence: true
  end
end
