class CreateHelplyArticles < ActiveRecord::Migration[6.0]
  def change
    create_table :helply_articles do |t|
      t.string :title, null: false
      t.string :subtitle, null: false
      t.text :content, null: false

      t.references :collection

      t.timestamps
    end

    add_foreign_key :helply_articles, :helply_collections, column: :collection_id
  end
end
