begin
  require 'factory_bot_rails'
rescue LoadError
end

module Helply
  class Engine < ::Rails::Engine
    isolate_namespace Helply

    config.generators do |g|
      g.test_framework :rspec
    end

    if defined?(FactoryBotRails)
      config.factory_bot.definition_file_paths += [File.expand_path('../factories', __FILE__)]
    end
  end
end
